$checkresult-header-height: 60px;

$checkresult-background-1: rgb(40, 51, 73);
$checkresult-background-2: $primaryColor-light;
$checkresult-background-3: rgb(67, 83, 114);
$checkresult-background-4: rgb(0, 189, 197);
$checkresult-background-5: rgb(31, 42, 65);

$checkresult-background-odd: rgb(47, 60, 87);
$checkresult-background-even: rgb(41, 54, 79);

$checkresult-fontSize-body: 18px;
$checkresult-fontSize-small: .5625;
$checkresult-fontSize-medium: .75rem;
$checkresult-fontSize-itemlist: .695rem;
$checkresult-fontSize-header: 1.2rem;
.checkResult {
  width: 100%;
  height: 100%;
  z-index: 8;
  background-color: $checkresult-background-1;
  position: fixed;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  @media screen and (max-width: 768px) {
    //height: calc(100vh);
  }
  img {
    /*max-height: 16px;
    max-width: 20px;*/
    z-index: 2;
    &.checkResult_wolfram-arrow {
      max-height: 40px;
      max-width: initial;
    }
  }
  &_wrapper {
    position: fixed;
    bottom: 0px;
    left: 0px;
    right: 0px;
    height: 100%;
    z-index: 2;
    /*    &:not(.slideUp-enter-active):not(.slideUp-leave-active) {
          .checkResult {
            &_header {
              position: fixed;
            }
            &_hash {
              margin-top: $checkresult-header-height;
            }
          }
        }*/
  }
  &_body {
    //padding: 0px $paddingDefault;
  }
  &_sha {
    position: relative;
    .info-mockup {
      background-color: rgb(58, 75, 107);
    }
    &-title {
      padding: $paddingMini $paddingDefault;
      background-color: $checkresult-background-4;
      color: $primaryColor;
      font-size: $checkresult-fontSize-body;
      font-weight: bold;
    }
    &-body {
      padding: $paddingMini 0px;
    }
    .instruction {
      font-size: $checkresult-fontSize-medium;
      padding-left: $paddingMini;
      &-subtitle {
        color: $fontColor-primary;
      }
      & > div {
        margin: $marginMini/2 0px $marginMini 0px;
      }
      .title {
        padding: $paddingMini/2 0;
        color: rgb(255, 255, 255);
      }
      &-step {
        position: relative;
        width: 20px;
        height: 20px;
        border-radius: 50%;
        background-color: $checkresult-background-4;
        color: $primaryColor;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: $checkresult-fontSize-small;
        font-weight: 500;
        margin-right: 12px;
        margin-top: $marginMini/2;
        &-arrow {
          position: relative;
          width: 30px;
          & > img {
            position: absolute;
            top: -1px;
            max-height: 16px;
            max-width: 20px;
          }
        }
        img {
          position: absolute;
          top: 15px;
        }
      }
    }
  }
  &_wolfram {
    padding: $paddingDefault 0px;
    font-size: $checkresult-fontSize-medium;
    background-color: $checkresult-background-2;
    .text {
      padding: $paddingDefault 0px;
      font-size: $checkresult-fontSize-medium;
      text-align: center;
    }
  }
}

#arrows {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
}
